Page MenuHomeVyOS Platform

"client-config-dir" not being set for openvpn in 1.3-rolling-202004090909
Closed, ResolvedPublicBUG

Description

I've just upgraded from 1.3-rolling-202004030632 to 1.3-rolling-202004090909 and when openvpn stood up I couldn't ping any of my servers. After some debugging, I realised they weren't getting the IP assigned to them in

set interfaces openvpn vtun0 server client <my.host.name> ip 10.1.1.203

A quick examination of the running process shows me

/usr/sbin/openvpn --daemon openvpn-vtun0 --config /opt/vyatta/etc/openvpn/openvpn-vtun0.conf

So I examined openvpn-vtun0.conf to see if it had the necessary client-config-dir statement in it. It does not.

As a workaround for this problem, I've added

openvpn-option "client-config-dir /opt/vyatta/etc/openvpn/ccd/vtun0"

to my configuration and this has resolved the problem, my clients once again get their statically allocated IP's.

Examining /usr/lib/live/mount/persistence/boot/1.3-rolling-202004030632/rw/opt/vyatta/etc/openvpn/openvpn-vtun0.conf shows client-config-dir /opt/vyatta/etc/openvpn/ccd/vtun0 correctly.

Note that before I applied my openvpn-option workaround I removed one of my clients, commited, and re-added the client line to see if that work resolve the issue but it did not.

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202004090909
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

tjh created this task.Apr 9 2020, 7:28 PM
tjh updated the task description. (Show Details)
tjh added a comment.Apr 9 2020, 8:11 PM

It would appear this commit is the source of the problem - client-config-dir was removed but I don't see anywhere it's re-added.

c-po assigned this task to jjakob.Apr 9 2020, 8:14 PM
pasik added a subscriber: pasik.Apr 10 2020, 9:06 AM
c-po closed this task as Resolved.Apr 10 2020, 11:26 AM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 21 2020, 5:26 PM